#!/usr/bin/perl

my $STATION="BOS";
my $URL="http://weather.noaa.gov/pub/data/raw/fp/fpus41.kbox.ccf.bos.txt";

use Geo::CCF;
use LWP::UserAgent;

my $ua = new LWP::UserAgent;

my $req = new HTTP::Request GET => $URL;

my $response = $ua->request($req);

if (!$response->is_success) {
	print $response->error_as_HTML;
	my $err_msg = $response->error_as_HTML;
	warn "$err_msg\n\n";
	die "$!";
} else {

	my $forecast = new Geo::CCF;

	$forecast->ccf($response->as_string);
	
	if (!$forecast->{$STATION})
	{
		print "Couldn't find info for station $STATION.\n";
		exit 1;
	}

	for (my $i=0;$i<Geo::CCF::NUM_FORECAST_PERIODS;$i++)
	{
		print $forecast->{$STATION}{CONDITION}[$i];
		$forecast->{$STATION}{HIGH}[$i] and
			print ", high $forecast->{$STATION}{HIGH}[$i]";
		$forecast->{$STATION}{LOW}[$i] and 
			print ", low $forecast->{$STATION}{LOW}[$i]";
		$forecast->{$STATION}{PROBPRECIP}[$i] and
			print ", $forecast->{$STATION}{PROBPRECIP}[$i]% chance of precipitation.";
		print "\n";
	}
}
                